3d extension supporting STL (3d printing files)
Closed, ResolvedPublic

Tokens
"Party Time" token, awarded by Liuxinyu970226."Party Time" token, awarded by RandomDSdevel."Mountain of Wealth" token, awarded by Elitre."Party Time" token, awarded by Mrjohncummings."Love" token, awarded by CKoerner_WMF."Love" token, awarded by Jopparn."Love" token, awarded by JeanFred."Love" token, awarded by Aklapper.
Assigned To
Authored By
Gilles, Apr 7 2016

Description

This task is to polish and deploy the mediawiki extension I wrote at the 2016 Jerusalem Hackathon, which supports upload, thumbnailing and interactive display of STL files.

Extension page: https://www.mediawiki.org/wiki/Extension:3d
Extension code: rETHR
Backend thumbnail renderer: rTDTP

Related Objects

There are a very large number of changes, so older changes are hidden. Show Older Changes
MarkTraceur moved this task from Prototyping to Doing on the Multimedia board.Jan 27 2017, 10:52 PM
MarkTraceur added a subscriber: MarkTraceur.

Assigning over to Mark for finishing. :-)

Jopparn added a subscriber: Jopparn.Feb 6 2017, 2:12 PM

@Jdforrester-WMF is it possible to give people the option of what format they download the 3D file in when users chose to download a file (like how you can download .svg files and .png as well)? This will be important when more formats are added later on.

@Jdforrester-WMF is it possible to give people the option of what format they download the 3D file in when users chose to download a file (like how you can download .svg files and .png as well)? This will be important when more formats are added later on.

There'll be the PNG simple renders (for non-JS users and others than want them), but they're restricted to the default view of the model. We won't be converting filetypes on the fly.

Legoktm added a subscriber: Legoktm.Feb 6 2017, 7:42 PM

AIUI this repository is currently hosted by Phabricator/Diffusion right? Is there any plan to move it into Gerrit? There's no github mirror, it's not part of mediawiki/extensions.git, all of our CI is set up for Gerrit, etc.

@Legoktm yeah, I think @Gilles probably figured we'd be in Diffusion by the time it got deployed. We can move it into Gerrit whenever that's needed, and if there's any information set up for that, that would help me.

Well, I was going to try and fix T157347, but I realized it wasn't in my local tree, found this task, found the repo on Phab, identified the problem, and then realized that it isn't in Gerrit, doesn't go through normal CI, etc.

Well, I was going to try and fix T157347, but I realized it wasn't in my local tree, found this task, found the repo on Phab, identified the problem, and then realized that it isn't in Gerrit, doesn't go through normal CI, etc.

I am sorry. I did not realize you were working on that task. I just used the Differential web UI.

Well, I was going to try and fix T157347, but I realized it wasn't in my local tree, found this task, found the repo on Phab, identified the problem, and then realized that it isn't in Gerrit, doesn't go through normal CI, etc.

I am sorry. I did not realize you were working on that task. I just used the Differential web UI.

No worries, it only took me a few seconds to notice it was spelled wrong too ;)

Elitre added a comment.EditedFeb 14 2017, 4:47 PM

Chris, maybe you could own a task about communicating the change?

Quiddity removed a subscriber: Quiddity.Feb 14 2017, 8:44 PM
Qgil removed a subscriber: Qgil.Feb 15 2017, 5:28 PM
ClemFlip removed a subscriber: ClemFlip.Feb 17 2017, 9:15 AM
Fae added a subscriber: Fae.Feb 27 2017, 8:47 PM
Reedy renamed this task from 3d extension supporting AMF and STL (3d printing files) to 3d extension supporting STL (3d printing files).Feb 27 2017, 11:55 PM
Reedy updated the task description. (Show Details)
THE_IT added a subscriber: THE_IT.Feb 28 2017, 12:33 PM
abian added a subscriber: abian.Mar 3 2017, 11:15 AM
MarkTraceur changed the status of subtask T159717: Deploy Extension:3d to beta cluster from Open to Stalled.Mar 6 2017, 3:12 PM
Dereckson added subscribers: Josve05a, Dereckson.

Could deployment to Commons please be delayed until some tools etc. has been created to deal with copyvio detection and protection work etc.? Right now Commons users does not have any tools to detect if a 3d file is a copyvio (code-wise), nor an easy way to check if is a 3d-derviative of something copyrightable, or of other 3D-files.

Can some time be spend by the Multimedia team be spent on helping the community finding ways to detect bad and "stolen" 3d-works/file, before deploying this live on Commons?

Hey @Josve05a , I understand that copyright violations are something the Commons community takes seriously. I'm not aware that we have anything in place to detect these sorts of violations for the millions of audio, image, and video media currently on Commons.

Asking to delay a deployment until we have something in place specifically for 3D files will put an undue burden on the development work that has been done for this feature. Allowing the upload of 3D files has been an oft requested feature by the Commons community.

Adding another file format surely adds to the burden of detecting copyright violations, but I think it's reasonable to argue that the sum of possible 3D files will be a much smaller contribution than any other existing media formats.

I think your concerns are valid and should be addressed, but not at the scope of this requested feature. That said, are you aware of T120453? :)

Aeglius removed a subscriber: Aeglius.Mar 14 2017, 9:24 PM

Hey @Josve05a , I understand that copyright violations are something the Commons community takes seriously. I'm not aware that we have anything in place to detect these sorts of violations for the millions of audio, image, and video media currently on Commons.

For Images we use Google Images reverse search, and TIneye, for Audio we can use apps like Shazam, Soundhound etc., for videos, we can use screenshots and try to do Google Image searches.

Asking to delay a deployment until we have something in place specifically for 3D files will put an undue burden on the development work that has been done for this feature. Allowing the upload of 3D files has been an oft requested feature by the Commons community.

Asking th ecommunity to maintain a new (wanted) feature, without helping the community find a way to actuallymaintaining them, would be an undue burden on the already personel- and resource-strained community. But, that is just my opinion.

Adding another file format surely adds to the burden of detecting copyright violations, but I think it's reasonable to argue that the sum of possible 3D files will be a much smaller contribution than any other existing media formats.

I think that 3d works will both be harder to detect copyvios for, a well have a much higher rate of 'derviative work' violations than other kind of file format, but...oh well.

Tgr added a comment.Mar 15 2017, 6:00 AM

For Images we use Google Images reverse search, and TIneye, for Audio we can use apps like Shazam, Soundhound etc., for videos, we can use screenshots and try to do Google Image searches.

Given that the WMF clearly does not have the ability to create something like TinEye or Google Image Search, what you seem to be asking is that 3D files be disallowed on Commons until some company starts a 3D search service, ie. basically forever (as the user base of STL is basically zero compared to jpeg or mp3, so there is very little profit in creating a site for it, but crawling the internet does not become much cheaper just because the thing you are indexing is relatively rare). Phabricator is probably not the right place for that discussion.

TheDJ added a comment.Mar 15 2017, 9:55 AM

@Josve05a in situations like this, I would say, don't worry about problems you don't have yet.. As with any vandalism. things can be disabled when they are abused, but abuse might not even occur. Solutions are best created out of a need to solve problems. If you never have a problem, you will likely also never have the need to create a solution.

I would seriously consider reaching out to major maker and/or 3D printing/designer/gamer hubs however, and request support in trying to determine origin of models if needed, and information about signals to look for copyright violations. A topic specific portal on Commons should be able to deal with that.

Ainali added a subscriber: Ainali.Mar 17 2017, 3:45 PM
zhuyifei1999 changed the status of subtask T159717: Deploy Extension:3d to beta cluster from Stalled to Open.Apr 26 2017, 5:20 PM
Schnark added a subscriber: Schnark.May 5 2017, 9:31 AM
dr0ptp4kt closed this task as Resolved.May 8 2017, 3:27 PM
dr0ptp4kt added a subscriber: dr0ptp4kt.

There are more tasks to be done, including iteration and production deployment following period of feedback, but this is on the beta cluster now.

Liuxinyu970226 awarded a token.
Liuxinyu970226 removed a subscriber: Liuxinyu970226.